> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everhour.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Category

> Create a new expense category.



## OpenAPI

````yaml /openapi.json post /expenses/categories
openapi: 3.1.1
info:
  title: Everhour API
  version: 1.0.0
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://api.everhour.com
security:
  - ApiKeyAuth: []
tags:
  - name: Clients
  - name: Custom Fields
  - name: Expenses
  - name: Invoices
  - name: Projects
  - name: Reports
  - name: Schedule
  - name: Tasks
  - name: Time Off
  - name: Time Records
  - name: Timecards
  - name: Timers
  - name: Timesheets
  - name: Users
  - name: Webhooks
paths:
  /expenses/categories:
    post:
      tags:
        - Expenses
      summary: Create Category
      description: Create a new expense category.
      operationId: createCategory
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExpenseCategoryRequestCreateRequest'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExpenseCategory'
        '401':
          description: Unauthorized
components:
  schemas:
    ExpenseCategoryRequestCreateRequest:
      type: object
      properties:
        color:
          type: string
          example: '#92dfb5'
        name:
          type: string
          example: Mileage
        unitBased:
          type: boolean
          example: true
        unitName:
          type: string
          example: Miles
        unitPrice:
          type: integer
          description: Price per unit in cents.
          example: 134
      required:
        - name
        - color
    ExpenseCategory:
      type: object
      properties:
        color:
          type: string
          example: '#92dfb5'
        id:
          type: number
          example: 236046
        name:
          type: string
          example: Mileage
        unitBased:
          type: boolean
          example: true
        unitName:
          type: string
          example: Miles
        unitPrice:
          type: integer
          example: 134
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````